Skip to main content
GET
/
api
/
v1
/
status-pages
/
{id}
Get a status page
curl --request GET \
  --url https://api.devhelm.io/api/v1/status-pages/{id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "organizationId": 123,
    "workspaceId": 123,
    "name": "<string>",
    "slug": "<string>",
    "branding": {
      "hidePoweredBy": true,
      "logoUrl": "<string>",
      "faviconUrl": "<string>",
      "brandColor": "<string>",
      "pageBackground": "<string>",
      "cardBackground": "<string>",
      "textColor": "<string>",
      "borderColor": "<string>",
      "headerStyle": "<string>",
      "theme": "<string>",
      "reportUrl": "<string>",
      "customCss": "<string>",
      "customHeadHtml": "<string>"
    },
    "visibility": "PUBLIC",
    "enabled": true,
    "incidentMode": "MANUAL",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "description": "<string>",
    "componentCount": 123,
    "subscriberCount": 123,
    "overallStatus": "OPERATIONAL"
  }
}

Authorizations

Authorization
string
header
required

API key (dh_live_...) or Auth0 JWT token

Path Parameters

id
string<uuid>
required

Response

200 - */*

OK

data
object
required